Update a form's section Run in API Explorer
Ask AI
PUT
/api/v1/form/{form_uuid}/section/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/section/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"title": "Section 1.1",
"position": 0
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"title": "Section 1.1",
"position": 0
}
Response examples (200)
{
"uuid": "d5938e24-defe-45d1-bc98-ffe642ed8f35",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"form": {
"uuid": "314026a1-e425-42e4-96c8-89ce5e24e88c",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "b7403c60-aa52-4f8e-a100-939ff435226d",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"title": "Personal Details",
"position": 1,
"questions": {
"uuid": "c4f34efe-d738-4998-bc8e-41609eb506bd",
"created_at": "2026-10-27T15:44:13+00:00",
"updated_at": "2026-10-27T15:44:13+00:00",
"section": {
"uuid": "e02cea20-3cc5-4dd7-97a2-e9f7b8b486b4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"title": "Personal Details",
"position": 1
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}